<?php
if (!defined('WP_DEBUG')) {
    die('Direct access forbidden.');
}
add_action('wp_enqueue_scripts', function () {
    wp_enqueue_style('parent-style', get_template_directory_uri() . '/style.css');
    wp_enqueue_style('shopeo-child-style', get_stylesheet_uri());
    wp_enqueue_style('shopeo-child-common', get_stylesheet_directory_uri().'/css/common.css');
});

//注册自定义文章类型-figure
/**
 * Register a custom post type called "figure".
 *
 * @see get_post_type_labels() for label keys.
 */
add_action('init', 'my_custom_post_figure');

function my_custom_post_figure()
{
	$labels = array(
		'name'               => _x('figure', 'post type 名称'),
		'singular_name'      => _x('figure', 'post type 单个 item 时的名称，因为英文有复数'),
		'add_new'            => _x('新建figure', '添加新内容的链接名称'),
		'add_new_item'       => __('新建figure'),
		'edit_item'          => __('编辑figure'),
		'new_item'           => __('新figure'),
		'all_items'          => __('所有figure'),
		'view_item'          => __('查看figure'),
		'search_items'       => __('搜索figure'),
		'not_found'          => __('没有找到有关figure'),
		'not_found_in_trash' => __('回收站里面没有相关figure'),
		'parent_item_colon'  => '',
		'menu_name'          => 'figure'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '我们网站的figure信息',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array('title', 'editor', 'thumbnail', 'excerpt', 'comments'),
		'has_archive'   => true
	);
	register_post_type('figure', $args);
}


//注册自定义文章类型-添加分类archive-figure.php
function my_taxonomies_figure()
{
	$labels = array(
		'name'              => _x('figure分类', 'taxonomy 名称'),
		'singular_name'     => _x('figure分类', 'taxonomy 单数名称'),
		'search_items'      => __('搜索figure分类'),
		'all_items'         => __('所有figure分类'),
		'parent_item'       => __('该figure分类的上级分类'),
		'parent_item_colon' => __('该figure分类的上级分类：'),
		'edit_item'         => __('编辑figure分类'),
		'update_item'       => __('更新figure分类'),
		'add_new_item'      => __('添加新的figure分类'),
		'new_item_name'     => __('新figure分类'),
		'menu_name'         => __('figure分类'),
	);
	$args = array(
		'labels' => $labels,
		'hierarchical' => true,
		'show_ui'           => true,
		'show_in_menu'            => true,
		'show_in_nav_menus'       => true
	);
	register_taxonomy('figure_category', 'figure', $args);
}
add_action('init', 'my_taxonomies_figure', 0);


//注册自定义文章类型-添加标签
add_action('init', 'create_figure_taxonomies', 0);
function create_figure_taxonomies()
{
	$labels = array(
		'name'              => 'figure标签', 'taxonomy general name',
		'singular_name'     => 'figure标签', 'taxonomy singular name',
		'search_items'      => '搜索figure标签',
		'all_items'         => '所有figure标签',
		'parent_item'       => 'Parent Genre',
		'parent_item_colon' => 'Parent Genre:',
		'edit_item'         => '编辑figure标签',
		'update_item'       => '更新figure标签',
		'add_new_item'      => '添加新figure标签',
		'new_item_name'     => 'New Genre Name',
		'menu_name'         => 'figure标签',
	);
	$args = array(
		'hierarchical'      => false,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		// 'rewrite'           => array( 'slug' => lawyer ),
	);
	register_taxonomy('figure_tag', 'figure', $args);
}



/*****************创建新的文章类型 */








//注册自定义文章类型-gk
/**
 * Register a custom post type called "gk".
 *
 * @see get_post_type_labels() for label keys.
 */
add_action('init', 'my_custom_post_gk');

function my_custom_post_gk()
{
	$labels = array(
		'name'               => _x('gk', 'post type 名称'),
		'singular_name'      => _x('gk', 'post type 单个 item 时的名称，因为英文有复数'),
		'add_new'            => _x('新建gk', '添加新内容的链接名称'),
		'add_new_item'       => __('新建gk'),
		'edit_item'          => __('编辑gk'),
		'new_item'           => __('新gk'),
		'all_items'          => __('所有gk'),
		'view_item'          => __('查看gk'),
		'search_items'       => __('搜索gk'),
		'not_found'          => __('没有找到有关gk'),
		'not_found_in_trash' => __('回收站里面没有相关gk'),
		'parent_item_colon'  => '',
		'menu_name'          => 'gk'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '我们网站的gk信息',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array('title', 'editor', 'thumbnail', 'excerpt', 'comments'),
		'has_archive'   => true
	);
	register_post_type('gk', $args);
}


//注册自定义文章类型-添加分类
function my_taxonomies_gk()
{
	$labels = array(
		'name'              => _x('gk分类', 'taxonomy 名称'),
		'singular_name'     => _x('gk分类', 'taxonomy 单数名称'),
		'search_items'      => __('搜索gk分类'),
		'all_items'         => __('所有gk分类'),
		'parent_item'       => __('该gk分类的上级分类'),
		'parent_item_colon' => __('该gk分类的上级分类：'),
		'edit_item'         => __('编辑gk分类'),
		'update_item'       => __('更新gk分类'),
		'add_new_item'      => __('添加新的gk分类'),
		'new_item_name'     => __('新gk分类'),
		'menu_name'         => __('gk分类'),
	);
	$args = array(
		'labels' => $labels,
		'hierarchical' => true,
		'show_ui'           => true,
		'show_in_menu'            => true,
		'show_in_nav_menus'       => true
	);
	register_taxonomy('gk_category', 'gk', $args);
}
add_action('init', 'my_taxonomies_gk', 0);


//注册自定义文章类型-添加标签
add_action('init', 'create_gk_taxonomies', 0);
function create_gk_taxonomies()
{
	$labels = array(
		'name'              => 'gk标签', 'taxonomy general name',
		'singular_name'     => 'gk标签', 'taxonomy singular name',
		'search_items'      => '搜索gk标签',
		'all_items'         => '所有gk标签',
		'parent_item'       => 'Parent Genre',
		'parent_item_colon' => 'Parent Genre:',
		'edit_item'         => '编辑gk标签',
		'update_item'       => '更新gk标签',
		'add_new_item'      => '添加新gk标签',
		'new_item_name'     => 'New Genre Name',
		'menu_name'         => 'gk标签',
	);
	$args = array(
		'hierarchical'      => false,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		// 'rewrite'           => array( 'slug' => lawyer ),
	);
	register_taxonomy('gk_tag', 'gk', $args);
}



/*****************创建新的文章类型 */


if( function_exists( 'easy_image_gallery' ) ) {
    echo easy_image_gallery();
}

remove_filter( 'the_content', 'easy_image_gallery_append_to_content' );


//分页
function lingfeng_custom_pagenavi( $custom_query,$range = 1 ) {
    global $paged,$wp_query;
    if ( !$max_page ) {
        $max_page = $custom_query->max_num_pages;
    }
    if( $max_page >1 ) {
        echo "<div class='fenye'>"; 
        if( !$paged ){
            $paged = 1;
        }
        if( $paged != 1 ) {
            echo "<a href='".get_pagenum_link(1) ."' class='extend' title='跳转到首页'>首页</a>";
        }
        previous_posts_link('上一页');
        if ( $max_page >$range ) {
            if( $paged <$range ) {
                for( $i = 1; $i <= ($range +1); $i++ ) {
                    echo "<a href='".get_pagenum_link($i) ."'";
                if($i==$paged) echo " class='current'";echo ">$i</a>";
                }
            }elseif($paged >= ($max_page -ceil(($range/2)))){
                for($i = $max_page -$range;$i <= $max_page;$i++){
                    echo "<a href='".get_pagenum_link($i) ."'";
                    if($i==$paged)echo " class='current'";echo ">$i</a>";
                    }
                }elseif($paged >= $range &&$paged <($max_page -ceil(($range/2)))){
                    for($i = ($paged -ceil($range/2));$i <= ($paged +ceil(($range/2)));$i++){
                        echo "<a href='".get_pagenum_link($i) ."'";if($i==$paged) echo " class='current'";echo ">$i</a>";
                    }
                }
            }else{
                for($i = 1;$i <= $max_page;$i++){
                    echo "<a href='".get_pagenum_link($i) ."'";
                    if($i==$paged)echo " class='current'";echo ">$i</a>";
                }
            }
        next_posts_link('下一页');
        if($paged != $max_page){
            echo "<a href='".get_pagenum_link($max_page) ."' class='extend' title='跳转到最后一页'>尾页</a>";
        }
        echo '<span>共['.$max_page.']页</span>';
        echo "</div>\n";  
    }
}